XletBoundProvider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.spi
Interface XletBoundProvider

All Superinterfaces:
  Provider

    public interface XletBoundProvider

extends Provider

Interface for all Xlet-bound providers. An instance of an Xlet-bound provider provides its services for exactly one xlet: The xlet with which that provider is registered. The classes of the provider are in the classloader hierarchy of the xlet itself. This leads to a very simple mechanism, because there are no issues with instance sharing between the provider and the xlet that uses the provider. However, it has the disadvantage that every xlet that needs the services provided must carry its own copy of the provider.

Since:
  MHP 1.1.3
See Also:
  `SystemBoundProvider`

Method Summary
`XletContext` | `getBoundPBPXletContext()` A valid provider shall return a non-null value from at least one of the get...XletContext methods.
`XletContext` | `getBoundXletContext()` A valid provider shall return a non-null value from at least one of the get...XletContext methods.

Methods inherited from interface org.dvb.spi.Provider
`getName, getServiceProviderInterfaces, getVersion, providerRegistered, providerUnregistered`

Method Detail

### getBoundXletContext

    XletContext getBoundXletContext()

  A valid provider shall return a non-null value from at least one of the get...XletContext methods.

  Returns:
    the xlet context of the xlet to which the provider is bound

### getBoundPBPXletContext

    XletContext getBoundPBPXletContext()

  A valid provider shall return a non-null value from at least one of the get...XletContext methods.

  Returns:
    the xlet context of the xlet to which the provider is bound

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD